# 15.conf

<VirtualHost *:443>
	DocumentRoot C:/CST1611/Week/15
	ServerName lab11.test
	ErrorLog logs/log_name.Error.log
	CustomLog logs/log_name.Access.log common
	SSLEngine on
	SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
	SSLCertificateFile "C:/CST1611/Week/08/Lab05.test.crt"
	SSLCertificateKeyFile "C:/CST1611/Week/08/Lab05.test.key"
	<Directory C:/CST1611/Week/15/>
		AuthType Basic
		AuthName "Restricted Files"
		AuthBasicProvider file
		AuthUserFile "C:/CST1611/Week/15/.htpasswd"
		Require valid-user
		Options All +MultiViews
		AllowOverride All
		#Require all granted
	</Directory>
	<Directory C:/CST1611/Week/15/jim/>
		AuthType Basic
		AuthName "Restricted Files"
		AuthBasicProvider file
		AuthUserFile "C:/CST1611/Week/15/.htpasswd"
		Require user jim
		Options All +MultiViews
		AllowOverride All
		#Require all granted
	</Directory>
	<Directory C:/CST1611/Week/15/mar/>
		AuthType Basic
		AuthName "Restricted Files"
		AuthBasicProvider file
		AuthUserFile "C:/CST1611/Week/15/.htpasswd"
		Require user mar
		Options All +MultiViews
		AllowOverride All
		#Require all granted
	</Directory>
</VirtualHost>